using UnityEngine;
using System;

namespace XUIML.Data
{
	/// <summary> . </summary>
	public class Material : Node
	{
		#region Public Properties
		
		public Vector Animation { get; private set; }

		#endregion
		
		#region Public Constructor
		
		/// <summary> Initializes a new instance of the <see cref="XUIML.Material"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Material (string name, Node parent) : base(name, parent)
		{
			this.Animation = new Vector("animation", this);
			//			this.Context = new Context("context", this);
		}
		
		#endregion
		
		#region Public Methods
		
		public override void Update (bool forced = false)
		{
			base.Update();
		}
		
		#endregion
	}
}
