﻿Shader "Mobile/Ground"
{
	Properties
	{
		_Color ("Main Color", Color) = (1,1,1,1)
		_MainTex ("Base (RGB) Trans (A)", 2D) = "white" {}
	}
 
	SubShader
	{
		Tags {"RenderType"="Opaque" "SHADOWSUPPORT"="true" "Queue"="Background"}
		// Render into depth buffer only
		Pass
		{
			//ColorMask RGB
			Lighting On
			Material {
				Ambient [_Color]
				Diffuse [_Color]
			}
			SetTexture [_MainTex]
			{
				Combine texture * primary DOUBLE, texture * primary
			} 
		}
	}
}