using XUIML.Data;

namespace XUIML.Model
{
	/// <summary> Contains the personal identity of an end user. </summary>
	public class Identity : Node
	{
		#region Public Constructor
		
		/// <summary> Initializes a new instance of the <see cref="XUIML.Identity"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Identity (string name, Node parent = null) : base(name, parent) {}

		#endregion
	}
}
